# Foldsite Documentation

Welcome to the Foldsite documentation. This site will guide you through the setup, configuration, and usage of Foldsite.

## Table of Contents

1. [Introduction](introduction.md)
2. [Configuration](configuration.md)
3. [Template Setup](template-setup.md)
4. [Site Setup](site-setup.md)
5. [Style Setup](style-setup.md)
6. [Template and Style Search](template-style-search.md)
7. [How a Template is Written](how-template-written.md)
8. [Jinja Primer](jinja-primer.md)
9. [Added Tools for the Template](added-tools.md)
10. [Tool Input and Return Types](tool-input-return-types.md)
11. [Example Usages for Tools and Types](example-usages.md)
12. [Deployment](deployment.md)
13. [Docker Compose Example](docker-compose-example.md)
14. [Folder Layout](folder-layout.md)
